using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///PreviousPDF
    ///</summary>
    [Table("PreviousPDF")]
    public class PreviousPDF : BaseAddAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        public SubjectVisit SubjectVisit { get; set; }

        #endregion
        public Guid SubjectVisitId { get; set; }

        public string Path { get; set; } = string.Empty;

        public string FileName { get; set; } = string.Empty;
        public bool? IsVisist { get; set; }

        /// <summary>
        /// 临床级别
        /// </summary>
        public ClinicalLevel? ClinicalLevel { get; set; }

        /// <summary>
        /// 数据类型
        /// </summary>
        public ClinicalDataType? DataType { get; set; }

        /// <summary>
        /// 上传方式
        /// </summary>
        public ClinicalUploadType? UploadType { get; set; }

        public Guid? TrialId { get; set; }

        public Guid? SubjectId { get; set; }

    }
}
