namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///PreviousSurgery
    ///</summary>
    [Table("PreviousSurgery")]
    public class PreviousSurgery : BaseAddAuditEntity
    {

        #region 导航属性

        #endregion
        public DateTime? OperationTime { get; set; }

        public Guid SubjectVisitId { get; set; }

        public bool IsSubjectLevel { get; set; }

        public string Path { get; set; } = String.Empty;

        public string FileName { get; set; } = String.Empty;

        public string OperationName { get; set; } = String.Empty;

        /// <summary>
        /// 临床数据类型Id
        /// </summary>
        [Required]
        public Guid ClinicalDataTrialSetId { get; set; }
    }
}
