namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///SubjectCriteriaEvaluation
    ///</summary>
    [Table("SubjectCriteriaEvaluation")]
    public class SubjectCriteriaEvaluation : BaseFullAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        public Subject subject { get; set; }

        [JsonIgnore]
        [ForeignKey("TrialReadingCriterionId")]
        public ReadingQuestionCriterionTrial TrialReadingCriterion { get; set; }

        [JsonIgnore]
        public List<SubjectCriteriaEvaluationVisitFilter> SubjectCriteriaEvaluationVisitFilterList { get; set; }
        #endregion
        public Guid SubjectId { get; set; }

        public Guid TrialReadingCriterionId { get; set; }

        /// <summary>
        /// 是否参与评估
        /// </summary>
        public bool IsJoinEvaluation { get; set; }
    }
}
