namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///ReadModuleCriterionFrom
    ///</summary>
    [Table("ReadModuleCriterionFrom")]
    public class ReadModuleCriterionFrom : BaseAddAuditEntity
    {
        #region 导航属性
        [ForeignKey("ReadModuleId")]
        public Guid ReadModuleId { get; set; }

        [JsonIgnore]
        [ForeignKey("ClinicalFormId")]
        public ClinicalForm ClinicalForm { get; set; }
        #endregion
        public Guid SubjectId { get; set; }

        public Guid TrialId { get; set; }

        /// <summary>
        /// 表单Id
        /// </summary>
        public Guid ClinicalFormId { get; set; }
    }
}
