namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///TrialUserPreparation 
    ///</summary>
    [Table("TrialUserPreparation ")]
    public class TrialUserPreparation : BaseFullAuditEntity
    {

        #region 导航属性
        [JsonIgnore]
        public User User { get; set; }
        [JsonIgnore]
        public Trial Trial { get; set; }
        #endregion

        public Guid UserId { get; set; }

        public Guid TrialId { get; set; }

        public DateTime? ExpireTime { get; set; }

        public bool? IsJoin { get; set; }

        public DateTime? JoinTime { get; set; }

        public string RejectReason { get; set; } = string.Empty;
    }

}
