namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///TaskTaskMedicalReviewRule
    ///</summary>
    [Table("TaskMedicalReviewRule")]
    public class TaskMedicalReviewRule : BaseFullAuditEntity
    {

        #region 导航属性

        #endregion

        public Guid DoctorUserId { get; set; }

        public bool IsEnable { get; set; }

        public string Note { get; set; } = string.Empty;

        public Guid TrialId { get; set; }

        public int PlanVisitCount { get; set; }

        public int PlanJudgeCount { get; set; }

        public int PlanGlobalCount { get; set; }

        public int PlanTumorCount { get; set; }

        [JsonIgnore]
        public User DoctorUser { get; set; }
    }

}
