namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///PublishLog
    ///</summary>
    [Table("PublishLog")]
    public class PublishLog : BaseFullAuditEntity
    {
        public string Version { get; set; } = string.Empty;

        public DateTime? PublishTime { get; set; }

        public string UpdateContent { get; set; } = string.Empty;

        //0 开发中 ，已发布
        public int State { get; set; }

        public bool IsCurrentVersion { get; set; }

    }

}
