namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///ShortcutKey
    ///</summary>
    [Table("ShortcutKey")]
    public class ShortcutKey : BaseAddAuditEntity
    {
        #region 导航属性

        #endregion
        /// <summary>
        /// 对应的键盘按键
        /// </summary>
        public string Keyboardkey { get; set; } = string.Empty;

        /// <summary>
        /// 按键枚举
        /// </summary>
        public int ShortcutKeyEnum { get; set; }

        /// <summary>
        /// 影像工具类型
        /// </summary>
        public int ImageToolType { get; set; }
        public Guid UserId { get; set; }

        public bool AltKey { get; set; } = false;

        public bool CtrlKey { get; set; } = false;

        public bool ShiftKey { get; set; } = false;

        public bool MetaKey { get; set; } = false;

        public string Text { get; set; } = string.Empty;

        public string Code { get; set; } = string.Empty;

    }
}
