using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///IRECIST1Point1肿瘤评估(系统标准)
    ///</summary>
    [Table("TumorAssessment_IRECIST1Point1")]
    public class TumorAssessment_IRECIST1Point1 : Entity
    {

        /// <summary>
        /// 靶病灶
        /// </summary>
        public TargetAssessment TargetLesion { get; set; }

        /// <summary>
        /// 非靶病灶
        /// </summary>
        public NoTargetAssessment NonTargetLesions { get; set; }

        /// <summary>
        /// 新病灶
        /// </summary>
        public NewLesionAssessment NewLesion { get; set; }

        /// <summary>
        /// 整体疗效
        /// </summary>
        public OverallAssessment OverallEfficacy { get; set; }
    }

}
