namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///SubjectCanceDoctor
    ///</summary>
    [Table("SubjectCanceDoctor")]
    public class SubjectCanceDoctor : BaseAddAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        public Subject Subject { get; set; }
        #endregion
        public Guid SubjectId { get; set; }

        public string Note { get; set; } = string.Empty;

        public Guid? TrialReadingCriterionId { get; set; }
    }

}
